summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2017-12-19 20:42:53 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-21 08:19:23 +0700
commit834a4da2c7b15d7e94397d7b2d7448db75fb39e1 (patch)
tree03b5961adcfa6ed2cd48ec482bb0deb64785bf35 /desktop
parentda7d652814319dc57f712ca30cbc64d116904b0c (diff)
downloadslackbuilds-834a4da2c7b15d7e94397d7b2d7448db75fb39e1.tar.gz
slackbuilds-834a4da2c7b15d7e94397d7b2d7448db75fb39e1.tar.xz
desktop/xfce-hkmon: Added (Hacker's Monitor for Xfce).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xfce-hkmon/README3
-rw-r--r--desktop/xfce-hkmon/slack-desc19
-rw-r--r--desktop/xfce-hkmon/xfce-hkmon.SlackBuild88
-rw-r--r--desktop/xfce-hkmon/xfce-hkmon.info10
4 files changed, 120 insertions, 0 deletions
diff --git a/desktop/xfce-hkmon/README b/desktop/xfce-hkmon/README
new file mode 100644
index 0000000000..4a1b6afe98
--- /dev/null
+++ b/desktop/xfce-hkmon/README
@@ -0,0 +1,3 @@
+A simple Network/CPU/Temperature/Disk IO/Memory monitor application
+for the Xfce genmon plugin; see its homepage for documentation and
+usage instructions.
diff --git a/desktop/xfce-hkmon/slack-desc b/desktop/xfce-hkmon/slack-desc
new file mode 100644
index 0000000000..2e3658565f
--- /dev/null
+++ b/desktop/xfce-hkmon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce-hkmon: xfce-hkmon (Hacker's Monitor for Xfce)
+xfce-hkmon:
+xfce-hkmon: A simple Network/CPU/Temperature/Disk IO/Memory monitor application
+xfce-hkmon: for the Xfce genmon plugin; see its homepage for documentation and
+xfce-hkmon: usage instructions.
+xfce-hkmon:
+xfce-hkmon:
+xfce-hkmon:
+xfce-hkmon:
+xfce-hkmon: Homepage: https://lightful.github.io/xfce-hkmon
+xfce-hkmon:
diff --git a/desktop/xfce-hkmon/xfce-hkmon.SlackBuild b/desktop/xfce-hkmon/xfce-hkmon.SlackBuild
new file mode 100644
index 0000000000..28ef26a5eb
--- /dev/null
+++ b/desktop/xfce-hkmon/xfce-hkmon.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for xfce-hkmon
+
+# Copyright 2017 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfce-hkmon
+VERSION=${VERSION:-20161003git}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+COMMIT_ID=${COMMIT_ID:-24dede4c33f2f87db3b2ab6c86eb1bb08da72812}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT_ID
+tar xvf $CWD/$PRGNAM-$COMMIT_ID.tar.gz
+cd $PRGNAM-$COMMIT_ID
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="-std=c++0x $SLKCFLAGS"
+
+mkdir -p $PKG/usr/bin
+cp -a $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xfce-hkmon/xfce-hkmon.info b/desktop/xfce-hkmon/xfce-hkmon.info
new file mode 100644
index 0000000000..c52c01ac53
--- /dev/null
+++ b/desktop/xfce-hkmon/xfce-hkmon.info
@@ -0,0 +1,10 @@
+PRGNAM="xfce-hkmon"
+VERSION="20161003git"
+HOMEPAGE="https://lightful.github.io/xfce-hkmon"
+DOWNLOAD="https://github.com/lightful/xfce-hkmon/archive/24dede4c33f2f87db3b2ab6c86eb1bb08da72812/xfce-hkmon-24dede4c33f2f87db3b2ab6c86eb1bb08da72812.tar.gz"
+MD5SUM="6dab6fbf31b10ebb659e710ed6b868aa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"